diff --git a/src/test/regress/expected/subselect.out b/src/test/regress/expected/subselect.out
index 288d139cfdd..33a10e8f518 100644
--- a/src/test/regress/expected/subselect.out
+++ b/src/test/regress/expected/subselect.out
@@ -2755,28 +2755,16 @@ SELECT * from onek WHERE unique1 in (VALUES(1200::bigint), (1));
 
 -- VtA shouldn't depend on the side of the join probing with the VALUES expression.
 EXPLAIN (COSTS OFF)
-SELECT c.oid,c.relname FROM pg_class c JOIN pg_am a USING (oid)
-WHERE a.oid IN (VALUES (1), (2));
-                       QUERY PLAN                        
----------------------------------------------------------
- Nested Loop
-   ->  Seq Scan on pg_am a
-         Filter: (oid = ANY ('{1,2}'::oid[]))
-   ->  Index Scan using pg_class_oid_index on pg_class c
-         Index Cond: (oid = a.oid)
-(5 rows)
-
-EXPLAIN (COSTS OFF)
-SELECT c.oid,c.relname FROM pg_class c JOIN pg_am a USING (oid)
-WHERE c.oid IN (VALUES (1), (2));
-                          QUERY PLAN                           
----------------------------------------------------------------
+SELECT c.unique1,c.ten FROM onek c JOIN tenk1 a USING (ten)
+WHERE a.ten IN (VALUES (1), (2));
+                    QUERY PLAN                    
+--------------------------------------------------
  Hash Join
-   Hash Cond: (a.oid = c.oid)
-   ->  Seq Scan on pg_am a
+   Hash Cond: (a.ten = c.ten)
+   ->  Seq Scan on tenk1 a
+         Filter: (ten = ANY ('{1,2}'::integer[]))
    ->  Hash
-         ->  Index Scan using pg_class_oid_index on pg_class c
-               Index Cond: (oid = ANY ('{1,2}'::oid[]))
+         ->  Seq Scan on onek c
 (6 rows)
 
 -- Constant expressions are simplified
diff --git a/src/test/regress/sql/subselect.sql b/src/test/regress/sql/subselect.sql
index 101167de810..46b12df9f5c 100644
--- a/src/test/regress/sql/subselect.sql
+++ b/src/test/regress/sql/subselect.sql
@@ -1243,11 +1243,8 @@ SELECT * from onek WHERE unique1 in (VALUES(1200::bigint), (1));
 
 -- VtA shouldn't depend on the side of the join probing with the VALUES expression.
 EXPLAIN (COSTS OFF)
-SELECT c.oid,c.relname FROM pg_class c JOIN pg_am a USING (oid)
-WHERE a.oid IN (VALUES (1), (2));
-EXPLAIN (COSTS OFF)
-SELECT c.oid,c.relname FROM pg_class c JOIN pg_am a USING (oid)
-WHERE c.oid IN (VALUES (1), (2));
+SELECT c.unique1,c.ten FROM onek c JOIN tenk1 a USING (ten)
+WHERE a.ten IN (VALUES (1), (2));
 
 -- Constant expressions are simplified
 EXPLAIN (COSTS OFF)
